Project

General

Profile

Task #7253

Story #6625: Requirement of Java 1.8 for Dataone V2

Metacat may have an issue under java 1.8

Added by Jing Tao about 5 years ago. Updated about 4 years ago.

Status:
Rejected
Priority:
Normal
Assignee:
Category:
Metacat
Target version:
Start date:
2015-07-14
Due date:
% Done:

0%

Estimated time:
0.00 h
Milestone:
None
Product Version:
*
Story Points:
Sprint:

Description

Peter seems to have an issue to run Metacat under java 1.8. We need to confirm it.
On 7/8/15 11:15 AM, Peter Slaughter wrote:

Hi Jing,

So I wasn't actually able to run the metacat I build with java 8. The problem may have been with java 8, or it may have been with
the jar files that were downloaded by maven. I removed ~/.m2 and switched to java 7 at the same time, so am not sure
which one of these actions fixed the problem.

  • Peter

On Tue, Jul 7, 2015 at 4:50 PM, Jing tao@nceas.ucsb.edu wrote:

Hi Peter:

Thank you for the updating. "Everything is working fine now" means that you built Metacat in java 1.7 then everything is working fine? I am very interested in how metacat works under java 1.8.

Cheers,

Jing
On 7/7/15 4:47 PM, Peter Slaughter wrote:
Hi Jing,

Turns out that I was building metacat with java 8. Because metacat worked for you, I knew that I was doing something very wrong.
Everything is working find now.

Thanks,

- Peter

On Tue, Jul 7, 2015 at 2:29 PM, Jing <tao@nceas.ucsb.edu> wrote:

    Hi Peter:

    I just insert a package from Morpho to a 2.5 Metacat. It worked fine to me. I didn't see the error before. The class org.bouncycastle.openssl.PasswordFinder is in the bcpkix-jdk15on-1.52.jar file. Do you have two versions of the jar file in metacat/WEB-INF/lib directory?

    Thanks,

    Jing


    On 7/7/15 1:36 PM, Peter Slaughter wrote:
    Hi Jing,

    I'm trying to install metacat 2.5 locally on my laptop, and get the following error
    when trying to add a dataset via the metacat api:

    class "org.bouncycastle.openssl.PasswordFinder"'s signer information does not match signer information of other classes in the same package

    Have you seen this error before?
    Amy idea where it is coming from?


    - Peter

History

#1 Updated by Jing Tao about 5 years ago

  • Assignee set to Jing Tao

#2 Updated by Jing Tao about 5 years ago

  • Status changed from New to Rejected
  • translation missing: en.field_remaining_hours set to 0.0

I just successfully wrote an eml object into a Metacat which was running java 1.8. Reject this ticket.

#3 Updated by Jing Tao about 4 years ago

  • Category set to Metacat
  • Estimated time set to 0.00

Also available in: Atom PDF

Add picture from clipboard (Maximum size: 14.8 MB)